#ifndef __ALERT_C
#define __ALERT_C

#include <fastcopy.h>

alert()
{
#asm
; ---=== FLASHES THE SCREEN A SHORT WHILE ===--
	ld	b,2
FlashAgain:
	push	bc
	ld	hl,PLOTSSCREEN	;load adress of graphmem in HL
	ld	bc,768		;graphmem is 768 bytes

F_NextByte:
	ld	a,(hl)		;load the first byte of (HL) in a
;	xor	$FF		;--CPL is faster and smaller--
	cpl			;A=~A (complement: 1001 => 0110)
	ld	(hl),a
	inc	hl
	dec	bc
	ld	a,b
	or	c
	jr	nz,F_NextByte
	call	FastCopy
	ld	b,20		;do 20 loops

blblbl:				;begin of wait-loop
	ei			;enable interupts		(4 clk)
	halt			;put CPU in "low power wait"	(4 clk)
	djnz	blblbl		;end of waitloop (after 20 loops) (13/8 clk)

	pop	bc
	djnz	FlashAgain
#endasm
}
#endif