#error ftol() won't help you anything till FLOAT-support

#ifndef _FTOL_C
#define _FTOL_c

/* store a float to a list on the TI83*/
/* not usable till FLOAT-support */

ftol(foo,bar) float *foo; char *bar;
{
#asm
	call	_zerooop1		; Set Op1 to zero
	ld	hl,4			; The string-pointer is
	add	hl,sp			;  at SP+2.
	call	LD_HL_MHL		; HL = pointer at (HL)
					;
	ld	de,OP1			; DE = adress of OP1
	ld	a,$01			; The object type is 'list'
	ld	(de),a			; Store it in first byte of OP1
	inc	de			; next byte of object type
	ld	a,$5d			; The object type is 'list'
	ld	(de),a			; store it in 2nd byte of OP1
	ld	b,7			; Maximum B-1(=6) bytes to copy
					;
ftol_loop:
	inc	de			; next byte of OP1
	ld	a,(hl)			; get a byte of the string
	or	a			; if(A = 0), done copying
	jr	z,next_ftol		;  goto next label
	ld	(de),a			; Store the byte in OP1+xx
	inc	hl			; Next byte of string
	dec	b			; Maximum B-1 times again
	jr	z,error_ftol		; if(B = 0), ERROR!
	jr	ftol_loop		; go back for next character
					;
next_ftol:
	call	_chkfindsym		; look it up
	jr	c,error_ftol		; if(error), Return(0)
	push	de
					;
	call	_zerooop1		; Set Op1 to zero
	ld	hl,2			; The float-pointer is
	add	hl,sp			;  at SP+2.
	call	LD_HL_MHL		; HL = pointer at (HL)
					;
	ld	de,OP1			; DE = adress of OP1
	ld	b,8			; Maximum B-1(=7) bytes to copy
ftol_loop2:
	inc	de			; next byte of OP1
	ld	a,(hl)			; get a byte of the string
	or	a			; if(A = 0), done copying
	jr	z,next_ftol2		;  goto next label
	ld	(de),a			; Store the byte in OP1+xx
	inc	hl			; Next byte of string
	dec	b			; Maximum B-1 times again
	jr	z,error_ftol		; if(B = 0), ERROR!
	jr	ftol_loop2		; go back for next character
					;
next_ftol2:
	pop	de			; restore de
	call	_puttol			; store it
	ret

error_ftol:
	ld	hl,0			;
	ret				; Return(0)
#endasm
}


/* the code from ASMGuru:

_errundefined .equ 467Bh

.org 9327h

     call _zerooop1         ; clear op1
     ld hl,listname         ; where to copy name from
     ld de,op1              ; where to copy name to
     ld bc,8                ; length of name
     ldir                   ; all set, copy it
     call _chkfindsym       ; look up list
     jp c,_errundefined     ; error if not found
     push de                ; save de
     call _rclX             ; Recall from X.
     pop de                 ; restore de
     ld hl,1                ; # of element (1-999)
     call _puttol           ; store it
     ret

listname:

     .db $01,$5D,"JAMES"    ; the user list James
*/
#endif /* _FTOL_C LOADED*/