#ifndef __BOX_C
#define __BOX_C

/* There seems to be some sort of bug in this routine...
   where the vertical (orientated) lines would become a 
   Vertical() one, like the BASIC command.
   Henk Poley */

box(x1, y1, x2, y2, color) char x1, y1, x2, y2, color; {
#asm
	ld	hl, 2
	add	hl, sp
	ld	a, (hl)
	ld	de, 6
	add	hl, de
	ld	d, (hl)
	inc	hl
	inc	hl
	ld	e, (hl)

	ld	hl, 6
	add	hl, sp
	ld	h, (hl)
	ld	b, a                    ; Color backup used for stuff

_Box__Toplineloop:
	push	hl
	call	_drawpix
	pop	hl
	inc	e
	ld	a, e
	cp	h
	ld	a, b
	jp	c, _Box__Toplineloop

	ld	hl, 4
	add	hl, sp
	ld	h, (hl)                 ; Set h to last y point

_Box__Rightlineloop:
	push	hl
	call	_drawpix
	pop	hl
	inc	d
	ld	a, d
	cp	h
	ld	a, b
	jp	nz, _Box__Rightlineloop

	ld	hl, 10
	add	hl, sp
	ld	h, (hl)                 ; Set h to last y point

_Box__Bottomlineloop:
	push	hl
	call	_drawpix
	pop	hl
	dec	e
	ld	a, e
	cp	h
	ld	a, b
	jp	nz, _Box__Bottomlineloop

	ld	hl, 8
	add	hl, sp
	ld	h, (hl)                 ; Set h to last y point

_Box__LeftlineLoop:
	push	hl
	call	_drawpix
	pop	hl
	dec	d
	ld	a, d
	cp	h
	ld	a, b
	jp	nz, _Box__LeftlineLoop
#endasm
  }

#endif