/*
  Contrast Wizard in Small-C

  Will currently only compile for the TI-83.
  Till someone makes contrast changing routines for
  the other calcs.

  The funny thing is, that while you run this program, you can still
  do "2ND + kUp / kDown" (the normal way).

  Henk Poley (HPoley@DDS.nl)
  compiled size:
   -TI83: 717 (with optimization ON)

*/

#include <ti.h>
#include <contrast.h>
#include <delay.c>

#name "ContrastWizard in Small-C"

char get;

main() {
 puts("\n  Change the\n  contrast by\n  pressing\n  Up and Down\n\n");
 get = 0;
 while (get != kEnter)
   {
   get = getkey();
   if (get == kUp)
     {
     cont_up();
     }
   if (get == kDown)
     {
     cont_down();
     }
   }
 puts("    BYE!\n");	/* These last lines are not really needed */
 delay(100);		/* if you delete this you dont have to include
			"delay.c" */
 }