#name "Smiley Smiley (picture)"
/* By Henk Poley
 *
 * Displays lots of Smileys in a ( = the same) smiley pattern.
 *    (see the sprite at the bottom)
 *
 * Idea taken from "SmallC4.1 for UsGard"-compiler
 */


#include <ti.h>       /* Only included for getkey(), hmmm */
#include <sprite.c>   /* We put sprites on the screen */
#include <fastcopy.h> /* RedrawScreen defined */

extern char smile[8]; /* So the compiler knows that the sprite is
                         included 'somewhere else'. */
main()
 {
 char x, y, temp;

 indicatoroff;
 clrlcd;
 for(y = 0; y < 8 ; y++)
   {
   temp = smile[y];
   for(x = 0; x < 8; x++)
     {
     if(temp & 1)
       {
     /*sprite(*spr, x, y, width, height)*/
       sprite(smile, 8 * x, 8 * y, 8, 8);
       }
     temp >>= 1;
     }
   }
 RedrawScreen;
 getkey();      /*pause*/
 }

#asm
smile:
.db %00111100 ;  oooo  
.db %01000010 ; o    o 
.db %10100101 ;o o  o o
.db %10100101 ;o o  o o
.db %10000001 ;o      o
.db %10100101 ;o o  o o
.db %01011010 ; o oo o 
.db %00111100 ;  oooo  
#endasm