#ifndef __DELAY_C
#define __DELAY_C

/* delay(n) - pauses for a 1/100th of a second */

delay(n) int n;
{
#asm
	ld	hl,2		;10 clk	;3 bytes
	add	hl,sp		;11	;1
	ld	c,(hl)		; 7	;1
	inc	hl		; 6	;1
	ld	b,(hl)		; 7	;1
__fastdelay:
	push	bc		;11	;1	;save BC
__delay:
	ex	(sp),hl		;19	;1
	ex	(sp),hl		;19	;1
	halt			; 4	;1
	djnz	__delay		;13/8	;1
	dec	b		; 4	;1	;b = 255
	dec	c		; 4	;1	;--c
	jr	nc,__delay	;12/7	;2	;if(c!=255);next loop
	pop	bc		;10	;1	;restore BC
#endasm
}

/*
delay(n) int n; {
#asm
	ld	hl,2		;10 clk	;3 bytes
	add	hl,sp		;11	;1
	ld	a,(hl)		; 7	;1
	inc	hl		; 6	;1
	ld	h,(hl)		; 7	;1
	ld	l,a		; 4	;1
				;--	;--
				;45	;8
__fastdelay:
	xor	a		; 4 clk	;1 bytes
	inc	a		; 4	;1
	out	(3),a		;11	;2	;turn off the calc
						;    (?off?)
	ei			; 4	;1
	halt			; 4	;1
	dec	hl		; 6	;1
	ld	a,h		; 4	;1
	or	l		; 4	;1
	jr	nz,__fastdelay	;12/7	;2
				;--	;--
				;53/48	;12
#endasm
}
/*

#endif
