#ifndef __OFF_C
#define __OFF_C

/* Turn your calc off (MACRO)

   Small-C library, by Henk Poley (hpoley@dds.nl)
   (---no www addres---)

   Synopsis:
      off()

   Description:
      Turn your calc off. 

   Example:
      off()

   Output:
      Calc turned off

   Note: I've also read that you should use the following routine...
         ??? Which one is 'better' ???
	ld	a,1
	out	(3),a
	halt
	ld	a,11
	out	(3),a
off()
{
#asm
	call	_calcOff
#endasm
}
*/

#define off() asm("\tcall\t_calcOff")
#endif