#ifndef TABFRM_C
#define TABFRM_C

/* Small c library, by Jeremy Dewey (jxd45@po.cwru.edu)
   http://www.seashellinc.com/jdewey

   Synopsis:
      tabframe(char* title)

   Description:
      Draws a frame around the screen and a tab at the top left

   Example:
      tabframe("QuickNote");

   Notes:
      see also tabline.c

*/

#include "lib\hvline.c"

tabframe(str) char* str; {
   char y;
   invtext;
   setxy_m(2,1);
   puts_m(str);
   hline(1, _menu_x, 0);
   for (y=1; y<8; y++) hline(0, _menu_x+1, y);
   hline(0,127,8);
   vline(1,9,0);
   vline(1,9,127);
   hline(0,127,63);
}

#endif
