#ifndef FLINE_C
#define FLINE_C

/* This is the same as the line() function in 'lib\line.c' except it is
   about twice the size, and about 4 times the speed. Be sure to initialize
   the destination first: ex:
   asm("\tld hl,VIDEO_MEM\n");
   asm("\tld (DEST_ADDR),hl\n");

   line(x1,y1,x2,y2) - draws a line from (x1,y1) to (x2,y2)
*/

line(x1,y1,x2,y2) char x1,y1,x2,y2; {
#asm
   ld  hl,8
   add hl,sp
   ld  d,(hl)
   dec hl
   dec hl
   ld  e,(hl)
   dec hl
   dec hl
   ld  c,(hl)
   dec hl
   dec hl
   ld  l,(hl)
   ld  h,c
   #fncall fline
#endasm
}

#endif