/*
 * Another example of a contrastwizard in Small-C

  Will currently only compile for the TI-83.
  Till someone makes contrast changing routines for
  the other calcs.

  The funny thing is, that while you run this program, you can still
  do "2ND + kUp / kDown" (the normal way).

  Henk Poley (HPoley@DDS.nl)
  compiled size:
   -TI83: 749 (with optimization ON)
 */

#include <ti.h>
#include <contrast.h>
#include <delay.c>

#name "ContrastWizard2 in Small-C"

char get;
char cont;

main() {
 puts("\n  Change the\n  contrast by\n  pressing\n  Up and Down\n\n");
 get  = 0;
 cont = getcont();
 while (get != kEnter)
   {
   get = getkey();
   switch(get)
     {
     case kUp:   setcont(++cont);
                 break;

     case kDown: setcont(--cont);
                 break;
     }
   }
 puts("    BYE!\n");	/* These last lines are not really needed */
 delay(100);		/* if you delete this you dont have to include
			"delay.c" */
 }