/* HTC addon sample file -- Mandelbrot fractal -- (GPL) Dape/Istar 1997 */

/* I copied this from TICK, a TI-85 compiler.
   thats why it doesn't work well with this one
   it has something to do with 'long' and 'int'
   these are not defined, by this compiler

#include <ti.h>

/* screen dimensions, max iterations */

#define XMAX    127
#define YMAX    63
#define MAXIT   8

/* mathematical dimensions */

#define LEFT    -2
#define RIGHT   2
#define TOP     -2
#define BOTTOM  2

/* magic number */

#define N       9
/* Fractals are calculated in an accuracy of 1 / (1 << N) */

#define POW2N   4096
/* POW2N = 1 << N (= 2048)*/

#define N2      14
/* Scaling is in an accuracy of 1 / (1 << N2) */

#define xscaleI ((int)(((double)(RIGHT - LEFT) * (double)(1 << N2))/XMAX))
#define yscaleI ((int)(((double)(BOTTOM - TOP) * (double)(1 << N2))/YMAX))

#define topI  (TOP * (1 << N2))
#define leftI (LEFT * (1 << N2))

int zy; 
int zx;
int sqrzy;
int sqrzx;
int nx,cy;
int count;
int x;
int y;
int cx; /* this was a 'long' */

main(void) {
  clrscr();
  gotoxy(1,1);
  prints("** Mandelbrot 85 **");
  gotoxy(5,2);
  prints("Istar 1997");
  gotoxym(10,26);
  printsm("This might take a while,");
  gotoxym(10,33);
  printsm("take a coffee break!");

  for(y = 0; y < ((YMAX / 2) + 1); y++) {
    cy = (((y * yscaleI + topI) >> (N2 - N)));
    cx = leftI;
    for(x = 0; x < XMAX; x++) {
      cx = xscaleI+cx;
      nx = (cx >> (N2 - N));
      zx = (zy = 0);
      count = -2;
      while (++count < MAXIT) {
	if (((sqrzx = ((long)(zx)*zx)>>N) + (sqrzy = ((long)(zy)*zy)>>N)) > (4 << N))
	  break;
	zy = ((((long)(zx) * zy) >> (N-1)) + cy);
	zx = (sqrzx - sqrzy + nx);
	}
      if((count&1)==1) {
	pixel_on(x,y);
	pixel_on(x,YMAX-y);
	}
      else {
	pixel_off(x,y);
	pixel_off(x,YMAX-y);
	}
      if (kbhit()) {
	y = ((YMAX / 2) + 1);
	x = XMAX+1;
	}
      }
    }
  if(x < (XMAX+1)) {
#asm
  ld hl,$FC00 ; VIDEO_MEM
  ld de,$8641 ; GRAPH_MEM
  ld bc,1024  ; Copy 1024 bytes
  ldir
#endasm
    pause();
    invtext();
    gotoxym(40,10);
    printsm("Hit Enter when done..");
    }
}
