#name "GCP Grayscale test"
#include "usglib.h"
#include "func\gray.c"
#include "func\gcp.c"

extern char pic1[], pic2[], pic3[];

/* Clear the screen between images */

clr() {
#asm
   ld  hl,(PAGE1ADDR)
   ld  bc,1024-1
   call OTH_CLEAR
   ld  hl,(PAGE2ADDR)
   ld  bc,1024-1
   call OTH_CLEAR
#endasm
}

/* Loop through images */

pics() {
   do {
      clr();
      load_gcp(pic1);
      if (getkey()==K_EXIT) return;
      clr();
      load_gcp(pic2);
      if (getkey()==K_EXIT) return;
      clr();
      load_gcp(pic3);
      if (getkey()==K_EXIT) return;
   } while (1);
}

main() {
   clrscr;
   if (grayon()) {
      setxy_m(0,0);
      puts_m("Not enough memory");
      getkey();
      return;
   }
   pics();
   grayoff();
}

#asm
pic1:
#include "pic1.asm"
pic2:
#include "pic2.asm"
pic3:
#include "pic3.asm"

#endasm
