#name "Small C Usgard test"

#include "usglib.h"
char* fail;
char* pass;
int i;

main(argc, argv)
int argc; char* argv[]; {

   fail = " F";
   pass = " P";
   
   clrscr;
   setxy(0,0);
   invtext;
   puts("Usgard Small C (v4.0)");

   test("==",(1==0),0,1);
   test(" >",(4>5),0,2);
   test(" <",(5<4),0,3);
   test("!=",(23 != 23),0,4);
   test(">=",(5>=6 || !(5>=5)),0,5);
   test("<=",(10<=6 || !(5<=5)),0,6);

   test("ng",(3!=-(-3)),6,1);
   test(" *",(45*23 != 1035),6,2);
   test(" /",(444/37 != 12),6,3);
   test("-/",((-444)/37 != -12),6,4);
   test(" %",(456%34 != 14),6,5);

   normtext;
   for(i=1;i<6;i++) {
      setxy(i+i-2,7);
      putc(i+'0');
   }

   /* Test the case assebly routine */
   i = 3;
   switch (i) {
      case 1:
      case 2:
         i = 1;
         break;
      case 3:
         i = 0;
         break;
      default:
         i = 1;
   }
   test(" C",i,6,6);

   /* Test the case assebly routine for default */
   i = 3;
   switch (i) {
      case 1:
      case 2:
         i = 1;
         break;
      default:
         i = 0;
   }
   test("dC",i,12,1);

   getkey();
}

test (name, p, x, y) char* name; int p; int x; int y; {
   setxy(x,y);
   invtext;
   puts(name);
   normtext;
   puts(p ? fail : pass);
}

